summaryrefslogtreecommitdiffstats
path: root/network/skype/skype.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/skype/skype.SlackBuild')
-rw-r--r--network/skype/skype.SlackBuild67
1 files changed, 19 insertions, 48 deletions
diff --git a/network/skype/skype.SlackBuild b/network/skype/skype.SlackBuild
index 18b3193efd..ca54afb7d8 100644
--- a/network/skype/skype.SlackBuild
+++ b/network/skype/skype.SlackBuild
@@ -23,17 +23,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
-# Modified by the SlackBuilds.org project
-# Added Skype 1.4 compatibility by Mauro Giachero
-
-set -e
+# Modified by the SlackBuilds.org project
+# Ported from 12.1 repository; now only Skype 2.0 compatible
PRGNAM=skype
-VERSION=1.4.0.118
-ARCH=${ARCH:-i486}
+VERSION=2.0.0.72
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -41,56 +40,28 @@ OUTPUT=${OUTPUT:-/tmp}
# This is a repackage of a binary distribution
# CFLAGS are not required
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-# 1.3.x.y packages are named "skype-1.3.x.y-generic.tar.bz2"
-# 1.4.x.y packages are named "skype_static-1.4.x.y.tar.bz2"
-# Since the _static package is twice as large as the -generic
-# one, we keep this script compatible with both.
-# The $SOURCETYPE variable is used in later steps to filter
-# 1.3-only and 1.4-only things
-if [ -f $CWD/$PRGNAM-$VERSION-generic.tar.bz2 ]; then
- echo Unpacking $PRGNAM-$VERSION-generic.tar.bz2
- tar -xjvf $CWD/$PRGNAM-$VERSION-generic.tar.bz2 || exit 1
- cd $PRGNAM-$VERSION || exit 1
- SOURCETYPE=1.3
-else
- echo Unpacking ${PRGNAM}_static-$VERSION.tar.bz2
- tar -xjvf $CWD/${PRGNAM}_static-$VERSION.tar.bz2 || exit 1
- cd ${PRGNAM}_static-$VERSION || exit 1
- SOURCETYPE=1.4
-fi
-
+tar xvf $CWD/${PRGNAM}_static-$VERSION.tar.bz2 || exit 1
+cd ${PRGNAM}_static-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-if [ $SOURCETYPE == 1.3 ]; then
- chmod 644 sound/*
-else
- chmod 644 sounds/*
-fi
+chmod 644 sounds/*
-# ./configure not necessary for binary based builds
-mkdir -p $PKG/{usr/{bin,share/{skype,pixmaps,applications}},etc/dbus-1/system.d}
-cp skype $PKG/usr/bin
-if [ $SOURCETYPE == 1.3 ]; then
- cp -R sound lang $PKG/usr/share/skype
- cp icons/skype_48_32.png $PKG/usr/share/pixmaps/skype.png
- cp skype-callto-handler $PKG/usr/bin
-else
- cp -R sounds lang $PKG/usr/share/skype
- cp icons/SkypeBlue_48x48.png $PKG/usr/share/pixmaps/skype.png
- cp -R avatars $PKG/usr/share/skype
-fi
+mkdir -p $PKG/usr/bin $PKG/usr/share/{skype,pixmaps,applications} \
+ $PKG/etc/dbus-1/system.d
+cp -a skype $PKG/usr/bin
+cp -a avatars sounds lang $PKG/usr/share/skype
+cp skype.desktop $PKG/usr/share/applications/skype.desktop
+cp icons/SkypeBlue_48x48.png $PKG/usr/share/pixmaps/skype.png
cp skype.conf $PKG/etc/dbus-1/system.d/skype.conf.new
-sed -e "s/Icon\=skype.png/Icon\=\/usr\/share\/pixmaps\/skype.png/g" \
- skype.desktop > $PKG/usr/share/applications/skype.desktop
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION